Skip to main content
PATCH
/
v2
/
account
/
ubos
/
{ubo-id}
Update UBO
curl --request PATCH \
  --url https://api.example.com/v2/account/ubos/{ubo-id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fullName": "<string>",
  "dateOfBirth": "<string>",
  "countryOfTaxId": "<string>",
  "taxIdNumber": "<string>",
  "hasControl": "<string>",
  "percentageOfOwnership": "<string>",
  "uploadedIdentificationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "documentCountry": "<string>",
  "streetLine1": "<string>",
  "streetLine2": "<string>",
  "streetLine3": "<string>",
  "city": "<string>",
  "state": "<string>",
  "zipCode": "<string>",
  "country": "<string>"
}
'
{
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ubo-id
string<uuid>
required

Query Parameters

subAccountId
string<uuid>

Operate against a sub-account of the authenticated main account.

Body

application/json

Passthrough body to the platform service UboInput.

fullName
string
required
dateOfBirth
string
required

YYYY-MM-DD

countryOfTaxId
string
required

ISO α-3

taxIdNumber
string
required
hasControl
string
required
percentageOfOwnership
string
uploadedIdentificationId
string<uuid>
documentCountry
string

ISO α-3

streetLine1
string
streetLine2
string
streetLine3
string
city
string
state
string

ISO α-2

zipCode
string
country
string

ISO α-3

Response

OK